# WORKADVENTURE

## Description

Ce projet a pour but de déployer la stack workadventure (https://github.com/thecodingmachine/workadventure) en auto-hébergement.

Consulter la branche nginx-proxy pour un déploiement dérrière un proxy Nginx ([ici](https://git.gregandev.fr/gregandev/workadventure/src/branch/nginx-proxy))

## Pré-requis

Pour déployer cette stack, vous aurez besoin:
- Une machine pour héberger le serveur (proc 3Ghz, 4Go ram minimum)
- Un nom de domaine pour pointer vers votre serveur (*.adventure.nom-de-domain.tld)
- L'accès à votre box internet pour la redirection des ports (80 & 443)

## Configuration / Installation

### Configuration

- Renseigner le nom de domaine:
```bash
cd workadventure/
nano .env
```

### Deployement

```bash
docker-compose up -d
```

> Note: Attendre que les certificats SSL soient effectués (~10 min)

### Map building

tutos: 
- https://github.com/garagenum/garage-wa-map
- https://workadventu.re/map-building/

### OIDC

- Workadventure:
```bash
nano .env
```
> Note: Renseigner les URLs en suivant les exemples

- Keycloak:
![keycloak-settings](docs/keycloak.png)

## Contributing

- Me
- The others

## License

... OPEN SOURCE GPL3
